
// GetRGBDlg.h : 头文件
//

#pragma once


// CGetRGBDlg 对话框
class CGetRGBDlg : public CDialog
{
// 构造
public:
	CGetRGBDlg(CWnd* pParent = NULL);	// 标准构造函数

// 对话框数据
	enum { IDD = IDD_GETRGB_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton1();
	afx_msg void OnEnChangeEdit1();
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	CString m_EditRed;
	CString m_EditGreen;
	CString m_EditBlue;
	int red;
	int green;
	int blue;
	afx_msg void OnBnClickedButton2();
//	afx_msg void OnEnChangeRed();
};
